PCI_ENABLE_DEVICE(9)

NAME
pci_enable_device - Initialize device before it's used by a driver.

SYNOPSIS

int pci_enable_device (struct pci_dev * dev);

ARGUMENTS

dev PCI device to be initialized

DESCRIPTION

Initialize device before it's used by a driver. Ask low-level code to enable I/O and memory. Wake up the device if it was suspended. Beware, this function can fail.